## libpktriggercord 0.85.1

=== debian/changelog ===
libpktriggercord (0.85.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 28 Dec 2021 09:43:24 +0100

libpktriggercord (0.85.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Dec 2021 09:43:24 +0000
