=== debian/control ===
Source: libpktriggercord
Section: libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libpktriggercord
Vcs-Git: https://salsa.debian.org/debian-astro-team/libpktriggercord.git

Package: libpktriggercord0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Pentax cameras in MSC mode
 This package contains a library to control Pentax cameras in MSC mode.A
 .
 After one connects the camera to the PC with the USB cable, one can control
 the camera from the computer. One can read status information, one can change
 several settings, and one can take pictures. The pictures are stored in the
 camera's buffer and can be downloaded to the PC. Pictures are not written on
 the SD card of the camera.
