## libpktriggercord 0.85.1+20220607004112

=== debian/changelog ===
libpktriggercord (0.85.1+20220607004112-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:41:22 +0000
