## libpktriggercord 0.85.1+20221221181244

=== debian/changelog ===
libpktriggercord (0.85.1+20221221181244-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113186)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:43:48 +0200

libpktriggercord (0.85.1+20221221181244-2) unstable; urgency=medium

  * Delegate placement of udev files to pkg-config data (Closes: #1057821)
    Thanks a lot to Chris Hofstaedtler for the patch
    - debian/control: update dependencies
    - debian/rules: override_dh_auto_configure
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Dec 2023 18:13:59 +0100

libpktriggercord (0.85.1+20221221181244-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.85.1

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Dec 2022 18:13:59 +0000
